<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<link rel="stylesheet" type="text/css" href="bootstrap-4.4.1-dist/css/bootstrap.css">
	<script type="text/javascript" src="bootstrap-4.4.1-dist/js/bootstrap.js"></script>
	<style type="text/css" media="screen">
		div{
			min-height: 100px;
			border: 10px solid white;

		}
		p{
			font-size: 2em;


		}
		.cabecera{
			background-color: lime;
			display: flex;
			align-items: center;
			justify-content: flex-start;
		}
		.pie{
			background-color: gold;
			display: flex;
			justify-content: center;
			align-items: center;
		}
		.num{
			background-color: red;
			display: flex;
			align-items: center;
			justify-content: center;
		}
		.pie{
			display: flex;
			justify-content: flex-end;
		}
		.pie2{
			display: flex;
			justify-content: flex-start;
		}
		@media screen and (max-width: 768px) {
		  .cabecera{
		    background-color: aqua;
		    display: flex;
		    justify-content: flex-start;
		  }
		  .n1{
		  	display: flex;
		  	justify-content: flex-start;

		  }
		  .n3{
		  	background-color:green;
		  	display: flex;
			justify-content: center;
		   }
		   .n2{
		   	display: flex;
			justify-content: flex-end;
		   }
		   .pie{
		   	justify-content: center;
		   }
		}

		@media screen and (max-width: 576px) {
		  .cabecera{
		    background-color: maroon;
		  }
		  .n1{
		  	display: flex;
		  	align-items: center;
		  	justify-content: flex-start;
		  }
		  .n2{
		  	background-color:aqua;
		  	display: flex;
			justify-content: center;
		  }
		  .n3{
		  	background-color:red;
		  	display: flex;
			justify-content: flex-end;
		  }
		  .cabecera{
		  	display: flex;
			justify-content: center;
		  }
		}
	</style>
</head>
<body>
	<div class="container-fluid">
		<div class="row">
			<div class="col-md-12 cabecera"><p>Header</p></div>
			<div class="col-md-4 col-sm-6 num n1"><p>1</p></div>
			<div class="col-md-4 col-sm-6 num n2"><p>2</p></div>
			<div class="col-md-4 col-sm-12 num n3"><p>3</p></div>
			<div class="col-md-6 col-sm-12 pie"><p>Footer1</p></div>
			<div class="col-md-6 col-sm-12 pie pie2"><p>Footer2</p></div>
		</div>
		
	</div>
</body>
</html>